using System;

public class StudentInfo
{
    public StudentInfo(string n, int id, string a)
	{ 
	  	name=n; idNumber=id; address=a;
	}

	public void printStudentInfo(string message)
	{
        Console.WriteLine(message);
	  	Console.WriteLine(name  + " " + idNumber + " " + address);
	}

    public string Name
    {
        get { return name; }

        set { name = value; }
    }

    public string Address
    {
        get { return address; }

        set { address = value; }
    }

    public int ID
    {
        get { return idNumber; }

        set
        {
            if (value > 0)
                idNumber = value;
            else
                idNumber = -1;
        }
    }

   	private string name;
	private int idNumber;
	private string address;

}

public class myStudentRecordsApplication
{
    public static void setIDpassByVal(StudentInfo s)
    {
        s.ID = 9999;
        s = new StudentInfo("no name", 0, "no fixed abode");
    }

    public static void setIDpassByRef(ref StudentInfo s)
    {
        s.ID = 9999;
        s = new StudentInfo("no name", 0, "no fixed abode");
    }
}

